POST api/batchapi/add/loadingstep?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
Body Parameters
BatchLoadingStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| mediwave_id | globally unique identifier |
Required |
|
| batch_details | Collection of BatchDetailViewModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "83952aef-fa21-4438-8321-7cf1f2703251",
"mediwave_id": "5b048bbc-11ad-4818-be2e-2815436776a8",
"batch_details": [
{
"id": "225e30f8-2939-4cc2-9c54-5a28b419f906",
"compartment": 2,
"witness_code": 3,
"unload_time": "2026-09-25T05:42:25.4398922+00:00",
"reference": "sample string 4"
},
{
"id": "225e30f8-2939-4cc2-9c54-5a28b419f906",
"compartment": 2,
"witness_code": 3,
"unload_time": "2026-09-25T05:42:25.4398922+00:00",
"reference": "sample string 4"
}
]
}
application/xml, text/xml
Sample:
<batch_loading_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<batch_details>
<batch_detail>
<compartment>2</compartment>
<id>225e30f8-2939-4cc2-9c54-5a28b419f906</id>
<reference>sample string 4</reference>
<unload_time>2026-09-25T05:42:25.4398922+00:00</unload_time>
<witness_code>3</witness_code>
</batch_detail>
<batch_detail>
<compartment>2</compartment>
<id>225e30f8-2939-4cc2-9c54-5a28b419f906</id>
<reference>sample string 4</reference>
<unload_time>2026-09-25T05:42:25.4398922+00:00</unload_time>
<witness_code>3</witness_code>
</batch_detail>
</batch_details>
<id>83952aef-fa21-4438-8321-7cf1f2703251</id>
<mediwave_id>5b048bbc-11ad-4818-be2e-2815436776a8</mediwave_id>
</batch_loading_step>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"f2fe7c9f-b7d0-4f98-8afc-698efb262c92"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">f2fe7c9f-b7d0-4f98-8afc-698efb262c92</guid>